summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xbifrost/scripts/destroy-env.sh19
-rw-r--r--xci/installer/osa/playbooks/configure-opnfvhost.yml3
-rw-r--r--xci/var/Debian.yml2
-rw-r--r--xci/var/RedHat.yml2
-rw-r--r--xci/var/Suse.yml2
5 files changed, 10 insertions, 18 deletions
diff --git a/bifrost/scripts/destroy-env.sh b/bifrost/scripts/destroy-env.sh
index 97638303..73c0222b 100755
--- a/bifrost/scripts/destroy-env.sh
+++ b/bifrost/scripts/destroy-env.sh
@@ -18,18 +18,19 @@ fi
rm -rf /opt/stack
# HOME is normally set by sudo -H
rm -rf ${HOME}/.config/openstack
+rm -rf ${HOME}/.ansible
# bifrost installs everything on venv so we need to look there if virtualbmc is not installed on the host.
if which vbmc &>/dev/null || { [[ -e /opt/stack/bifrost/bin/activate ]] && source /opt/stack/bifrost/bin/activate; }; then
- # Delete all libvirt VMs and hosts from vbmc (look for a port number)
- for vm in $(vbmc list | awk '/[0-9]/{{ print $2 }}'); do
- if which virsh &>/dev/null; then
- virsh destroy $vm || true
- virsh undefine $vm || true
- fi
- vbmc delete $vm
- done
- which vbmc &>/dev/null || { [[ -e /opt/stack/bifrost/bin/activate ]] && deactivate; }
+ # Delete all libvirt VMs and hosts from vbmc (look for a port number)
+ for vm in $(vbmc list | awk '/[0-9]/{{ print $2 }}'); do
+ if which virsh &>/dev/null; then
+ virsh destroy $vm || true
+ virsh undefine $vm || true
+ fi
+ vbmc delete $vm
+ done
+ which vbmc &>/dev/null || { [[ -e /opt/stack/bifrost/bin/activate ]] && deactivate; }
fi
# Destroy all XCI VMs if the previous operation failed
diff --git a/xci/installer/osa/playbooks/configure-opnfvhost.yml b/xci/installer/osa/playbooks/configure-opnfvhost.yml
index bfba4717..a3b8894f 100644
--- a/xci/installer/osa/playbooks/configure-opnfvhost.yml
+++ b/xci/installer/osa/playbooks/configure-opnfvhost.yml
@@ -101,9 +101,6 @@
command: "/bin/bash ./scripts/bootstrap-ansible.sh"
args:
chdir: "{{OPENSTACK_OSA_PATH}}"
- - name: install python Crypto module
- package:
- name: "{{ python_crypto_package_name }}"
- name: install opnfv pip required packages
pip:
name: "{{ item }}"
diff --git a/xci/var/Debian.yml b/xci/var/Debian.yml
index c785c65c..5ea7a885 100644
--- a/xci/var/Debian.yml
+++ b/xci/var/Debian.yml
@@ -7,5 +7,3 @@
# which accompanies this distribution, and is available at
# http://www.apache.org/licenses/LICENSE-2.0
##############################################################################
-# this is the interface the VM nodes are connected to libvirt network "default"
-python_crypto_package_name: python-crypto
diff --git a/xci/var/RedHat.yml b/xci/var/RedHat.yml
index eae7d127..5ea7a885 100644
--- a/xci/var/RedHat.yml
+++ b/xci/var/RedHat.yml
@@ -7,5 +7,3 @@
# which accompanies this distribution, and is available at
# http://www.apache.org/licenses/LICENSE-2.0
##############################################################################
-# this is placeholder and left blank intentionally to complete later on
-python_crypto_package_name: python-crypto
diff --git a/xci/var/Suse.yml b/xci/var/Suse.yml
index 5891aee9..5ea7a885 100644
--- a/xci/var/Suse.yml
+++ b/xci/var/Suse.yml
@@ -7,5 +7,3 @@
# which accompanies this distribution, and is available at
# http://www.apache.org/licenses/LICENSE-2.0
##############################################################################
-# this is the interface the VM nodes are connected to libvirt network "default"
-python_crypto_package_name: python-pycrypto